
import React from 'react';
import { Facebook, Twitter, Linkedin, Instagram } from 'lucide-react';
import { Link } from 'react-router-dom';

const Footer = () => {
  return (
    <footer className="bg-gray-900 text-white">
      <div className="max-w-7xl mx-auto py-12 px-4 sm:px-6 lg:py-16 lg:px-8">
        <div className="grid grid-cols-1 md:grid-cols-4 gap-8">
          <div className="md:col-span-1">
            <h2 className="text-2xl font-bold">Techbitans</h2>
            <p className="mt-2 text-gray-400">
              Innovative software solutions for modern businesses.
            </p>
            <div className="flex space-x-4 mt-4">
              <a href="#" className="text-gray-400 hover:text-white">
                <Facebook size={20} />
              </a>
              <a href="#" className="text-gray-400 hover:text-white">
                <Twitter size={20} />
              </a>
              <a href="#" className="text-gray-400 hover:text-white">
                <Linkedin size={20} />
              </a>
              <a href="#" className="text-gray-400 hover:text-white">
                <Instagram size={20} />
              </a>
            </div>
          </div>
          
          <div>
            <h3 className="text-sm font-semibold uppercase tracking-wider">Solutions</h3>
            <ul className="mt-4 space-y-2">
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">E-commerce</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">POS Systems</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Inventory Management</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">HRM Software</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Blog Platforms</Link>
              </li>
            </ul>
          </div>
          
          <div>
            <h3 className="text-sm font-semibold uppercase tracking-wider">Company</h3>
            <ul className="mt-4 space-y-2">
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">About</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Team</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Careers</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Press</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Blog</Link>
              </li>
            </ul>
          </div>
          
          <div>
            <h3 className="text-sm font-semibold uppercase tracking-wider">Legal</h3>
            <ul className="mt-4 space-y-2">
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Privacy Policy</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Terms of Service</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">Cookie Policy</Link>
              </li>
              <li>
                <Link to="#" className="text-gray-400 hover:text-white">GDPR</Link>
              </li>
            </ul>
          </div>
        </div>
        
        <div className="mt-12 border-t border-gray-800 pt-8 flex flex-col md:flex-row justify-between">
          <p className="text-gray-400 text-sm">
            &copy; {new Date().getFullYear()} Techbitans. All rights reserved.
          </p>
          <p className="text-gray-400 text-sm mt-2 md:mt-0">
            Designed and developed with excellence
          </p>
        </div>
      </div>
    </footer>
  );
};

export default Footer;
