
import React from 'react';
import { Button } from '@/components/ui/button';
import { ArrowRight } from 'lucide-react';

const Hero = () => {
  return (
    <div className="relative bg-gradient-to-r from-blue-100 to-teal-50 pt-24 pb-16">
      <div className="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div className="lg:grid lg:grid-cols-12 lg:gap-8">
          <div className="lg:col-span-6 md:max-w-2xl md:mx-auto lg:mx-0 flex flex-col justify-center">
            <h1 className="text-4xl tracking-tight font-extrabold text-gray-900 sm:text-5xl md:text-6xl">
              <span className="block">Innovative Software</span>
              <span className="block text-primary">Solutions for Business</span>
            </h1>
            <p className="text-lg italic text-gray-600 mt-2">Fueling innovation bit by bit</p>
            <p className="mt-3 text-base text-gray-700 sm:mt-5 sm:text-lg md:mt-5 md:text-xl">
              Comprehensive software solutions designed to boost your business efficiency. From e-commerce and POS to inventory management and HRM systems, Techbitans delivers tailored solutions for your unique needs.
            </p>
            <div className="mt-8 sm:flex">
              <div className="rounded-md shadow">
                <Button size="lg" className="w-full md:w-auto flex items-center justify-center">
                  Get Started
                  <ArrowRight className="ml-2 h-4 w-4" />
                </Button>
              </div>
              <div className="mt-3 sm:mt-0 sm:ml-3">
                <Button variant="outline" size="lg" className="w-full md:w-auto">
                  Learn More
                </Button>
              </div>
            </div>
          </div>
          <div className="mt-12 lg:mt-0 lg:col-span-6">
            <div className="aspect-w-5 aspect-h-3 rounded-lg overflow-hidden shadow-lg bg-white p-6">
              <div className="h-64 bg-gradient-to-r from-blue-400 to-teal-400 rounded-lg flex items-center justify-center text-white text-xl font-bold">
                Your Business Growth Partner
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default Hero;
