
import React from 'react';
import { ShoppingCart, CreditCard, Package, Users, Newspaper } from 'lucide-react';
import FeatureCard from './FeatureCard';

const Services = () => {
  const services = [
    {
      title: 'E-commerce Solutions',
      description: 'Custom online stores with seamless payment integration, inventory management, and order processing.',
      icon: ShoppingCart,
      iconColor: 'text-blue-500'
    },
    {
      title: 'POS Systems',
      description: 'Robust point-of-sale systems for retail and hospitality with real-time reporting and analytics.',
      icon: CreditCard,
      iconColor: 'text-green-500'
    },
    {
      title: 'Inventory Management',
      description: 'Track stock levels, manage suppliers, and automate reordering with our comprehensive inventory solutions.',
      icon: Package,
      iconColor: 'text-purple-500'
    },
    {
      title: 'HRM Software',
      description: 'Streamline your human resources operations with our integrated HRM software for employee management.',
      icon: Users,
      iconColor: 'text-orange-500'
    },
    {
      title: 'Blog Platforms',
      description: 'Engage your audience with custom blog platforms designed for content marketing and SEO optimization.',
      icon: Newspaper,
      iconColor: 'text-teal-500'
    }
  ];

  return (
    <section id="services" className="py-20 bg-gray-50">
      <div className="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div className="text-center mb-16">
          <h2 className="text-3xl font-bold text-gray-900 sm:text-4xl">
            Our Software Solutions
          </h2>
          <p className="mt-4 max-w-2xl mx-auto text-xl text-gray-500">
            Comprehensive business software tailored to your needs
          </p>
        </div>

        <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-8">
          {services.map((service, index) => (
            <FeatureCard 
              key={index}
              title={service.title}
              description={service.description}
              icon={service.icon}
              iconColor={service.iconColor}
            />
          ))}
        </div>
      </div>
    </section>
  );
};

export default Services;
